

deleted by creator
Alt account of @Badabinski
Just a sweaty nerd interested in software, home automation, emotional issues, and polite discourse about all of the above.


deleted by creator


So uh, OPNSense?


Ed Zitron seemed to estimate that it was probably 4-5x the current going rate, so a $20 ChatGPT subscriber likely costs OpenAI $80-100.


Sounds like a perfect use-case for some subsonic .300 Blackout rounds.


These other responses are annoying. This looks really cool, and I hope that it works well for you and your friends! We definitely need good discord alternatives ASAP, and more options are better imo.
One cool feature would be some sort of official support for interop/bridging to other services. That might help to boost adoption and would make the “why not just contribute to Y” people be quiet.


If you want extreme flexibility, use Arch Linux, since it makes it trivial to swap out which window manager you’re using. It sounds like you’re familiar with Linux at this point, so you probably have the requisite knowledge to give Arch a spin.
Niri is supposed to be a pretty interesting WM if you’re looking for something new. I’d be interested to hear why i3 was too much, since I found it to be pretty smooth to pick up.


Lethal Company is a fantastic game imo.


As someone posted elsewhere, this is an ultralight aircraft and is therefore forbidden from flying over populated areas.


I really like my Breville Oracle Jet because it’s pretty trivial to clean. It’s still super easy to use, but the more traditional build makes maintenance nice.
My girlfriend and I have spent many fun hours playing Lethal Company. It’s a real blast with an insanely high skill ceiling if that’s your thing.


When I went to Europe a few years ago, I found that the taxi services were really great. Like, getting a cab in Valencia was about as easy as calling an Uber while being a bit cheaper. There really is no need to rent a car.


Sheesh, it’s 5 GB with pnpm. Isn’t that meant to deduplicate dependencies?
Anywho, it looks like --prod isn’t being set in the Dockerfile, so dev dependencies are being included. I’m no node dev, but I remember this being something that people needed to set to shrink node_modules with npm. That might be an easy win.
My public schools had teacher/student ratios up to 35-1. Good old Utah.


Piefed might support what they need at this point. I’ve heard the devs really focused on moderator tooling.


journalctl -b -1 will show you the logs from the previous boot. journalctl -k -b -1 will do the same for the kernel logs. If you’ve rebooted again since, just use -2 instead of -1.


Looks like it’s from IKEA.
I don’t believe that does the same thing either. What if I lock my computer, sleep it, and step away for the day? I haven’t logged out, but my interactive session has ended.
Uptime shows how long the system has been up, not how long one has been interacting with the system.


Childhood trauma is horrible, I’m sorry ): you deserved a safe home, and it’s tragic you felt so scared that you had to call the cops.
while I appreciate that the author mentions how weird this is, nobody is going to learn all the caveats correctly. Don’t use
set -e. Don’t useset -e. Don’t useset -e. It’s a shit ass broken ass fucked feature that half of nobody understands well. Here’s a great wiki page explaining why it’s trash: https://mywiki.wooledge.org/BashFAQ/105People like Go, and Go requires you to manually and stupidly handle every possible error case. Why not do the same for shell? It’s really quite easy:
#!/usr/bin/env bash echoerr() { echo "$@" 1>&2; } die() { message="$1"; shift exit_code="${1:-1}" echoerr "$message" exit "$exit_code" } temp_dir="$HOME/tmp" mkdir -p "$temp_dir" || die "Failed to make persistent temporary dir $temp_dir" lc_dir="$(mktemp -d -p "$temp_dir")" || die "Failed to make target dir in $temp_dir"Look at that, descriptive error messages! And it doesn’t depend on a shell feature that is inconsistent between versions with no good documentation about all of the fucked up caveats.